services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    KimaiPlugin\KioskBundle\:
        resource: '../../*'
        exclude:
            - '../../Migrations/'
            - '../../Resources/'

    KimaiPlugin\KioskBundle\Controller\:
        resource: '../../Controller'
        tags: ['controller.service_arguments']

    KimaiPlugin\KioskBundle\Repository\UserAuthRepository:
        class:     KimaiPlugin\KioskBundle\Repository\UserAuthRepository
        factory:   ['@doctrine.orm.entity_manager', getRepository]
        arguments: ['KimaiPlugin\KioskBundle\Entity\UserAuth']
